tvbrowser.ui.programtable

## Class ProgramTableScrollPaneWrapper

- java.lang.Object
- - devplugin.PluginCenterPanel
  - - tvbrowser.ui.programtable.ProgramTableScrollPaneWrapper

-     public class ProgramTableScrollPaneWrapper
      extends PluginCenterPanel

  A wrapper class for the TV-Browser program table scroll pane, used for the new center panel function since version 3.2.
  Since:
    3.2
  Author:
    René Mach

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `INFO_EMPTY_CHANNEL_GROUP`
    `static int` | `INFO_EMPTY_FILTER_RESULT`
    `static int` | `INFO_NO_CHANNELS_SUBSCRIBED`
    `static int` | `INFO_NO_DATA`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProgramTableScrollPaneWrapper(ProgramTableScrollPane scrollPane)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Gets the name of this PluginCenterPanel that is used to show in the tab bar of the main window of TV-Browser.
    `javax.swing.JPanel` | `getPanel()` Gets the JPanel that should be shown in the tab bar of the TV-Browser main window.
    `boolean` | `hasInfoPanel(int type)`
    `void` | `removeInfoPanel(int type)`
    `void` | `showInfoPanel(int type, java.lang.String name)`

    - ### Methods inherited from class devplugin.PluginCenterPanel

      `getId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INFO_EMPTY_FILTER_RESULT

          public static final int INFO_EMPTY_FILTER_RESULT

      See Also:
        Constant Field Values

    - #### INFO_NO_CHANNELS_SUBSCRIBED

          public static final int INFO_NO_CHANNELS_SUBSCRIBED

      See Also:
        Constant Field Values

    - #### INFO_EMPTY_CHANNEL_GROUP

          public static final int INFO_EMPTY_CHANNEL_GROUP

      See Also:
        Constant Field Values

    - #### INFO_NO_DATA

          public static final int INFO_NO_DATA

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProgramTableScrollPaneWrapper

          public ProgramTableScrollPaneWrapper(ProgramTableScrollPane scrollPane)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from class: `PluginCenterPanel`
      Gets the name of this PluginCenterPanel that is used to show in the tab bar of the main window of TV-Browser.
      Specified by:
        `getName` in class `PluginCenterPanel`
      Returns:
        The name of this PluginCenterPanel

    - #### getPanel

          public javax.swing.JPanel getPanel()

      Description copied from class: `PluginCenterPanel`
      Gets the JPanel that should be shown in the tab bar of the TV-Browser main window.
      Specified by:
        `getPanel` in class `PluginCenterPanel`
      Returns:
        The JPanel that is used in the main window.

    - #### showInfoPanel

          public void showInfoPanel(int type,
                           java.lang.String name)

    - #### removeInfoPanel

          public void removeInfoPanel(int type)

    - #### hasInfoPanel

          public boolean hasInfoPanel(int type)

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)